{% extends "ajax/game/town/town.html.twig" %}
{% block content %}
    {% set hour = "now"|date("G") %}
    <div class="row">
        <div class="cell rw-12 town-banner town-banner-door-{% if town.door %}open{% else %}closed{% endif%} time-{{ hour }} {% if town.isNight %}night{% endif %}"></div>
    </div>

    <div class="row town-summary">
        <div class="padded cell rw-4 row-header"><img src="{{ asset('build/images/item/item_plate.gif') }}" /> {{'Stadtverteidigung'|trans({}, 'game')}}</div>
        <div class="padded cell rw-8 row-detail">{{def}} <img src="{{ asset('build/images/icons/small_def.gif') }}" /> (<span class="link" x-ajax-href="{{ path('town_dashboard') }}">{{'Details ansehen'|trans({}, 'game')}}</span>)</div>
        <div class="padded cell rw-4 row-header"><img src="{{ asset('build/images/item/item_door.gif') }}" /> {{'Lage'|trans({}, 'game')}}</div>
        <div class="padded cell rw-8 row-detail">{% if town.door %}
            <span class="warning">{{'Stadttor geöffnet'|trans({}, 'game')}}</span> <span class="small">(<span class="link" x-ajax-href="{{ path("town_citizens") }}">{{'Wer ist draußen?'|trans({}, 'game')}}</span>)</span>
        {% else %} 
            {{'Stadttor geschlossen'|trans({}, 'game')}}
        {% endif %} </div>
    </div>

    <div class="row">

        <div class="padded cell rw-6 rw-md-12">

            <div class="help">
                {% trans from 'game' %}
                    Du kannst von hier aus die Stadt verlassen und die Außenwelt erkunden. Vergiss aber nicht, um Mitternacht das Tor zu schließen!
                {% endtrans %}
            </div>

            {% if banished %}
                <div class="note note-warning">
                    {% trans from 'game' %}
                        Du wurdest verbannt und kannst daher das Stadttor weder öffnen noch schließen.
                    {% endtrans %}
                </div>
            {% endif %}

            <h5>{% trans from 'game' %}Meine Aktionen{% endtrans %}</h5>
            {% if not banished %}
                {% if town.door %}
                    <button id="door_closer" {% if town.devastated %}disabled{% endif %}><img alt="" src="{{ asset('build/images/icons/small_action.gif') }}" />{% trans from 'game' %}Tor schließen{% endtrans %} (<div class="ap">1</div>)</button>
                {% else %}
                    <button id="door_opener" {% if door_locked %}disabled{% endif %}><img alt="" src="{{ asset('build/images/icons/small_action.gif') }}" />{% trans from 'game' %}Tor öffnen{% endtrans %} (<div class="ap">1</div>)</button>
                {% endif %}
            {% endif %}
            {% if show_ventilation %}
                <button id="door_exit_hero"{% if not allow_ventilation %}disabled{% endif %}><img alt="" src="{{ asset('build/images/icons/star.gif') }}">{% trans from 'game' %}Durch die Lüftungsschächte klettern{% endtrans %}</button>
            {% endif %}
            {% if show_sneaky %}
                <button id="door_exit_sneak" {% if not town.door %}disabled{% endif %}><img alt="" src="{{ asset('build/images/roles/ghoul.gif') }}">{% trans from 'game' %}Aus der Stadt schleichen{% endtrans %}</button>
            {% endif %}
            <button id="door_exit" {% if not town.door or not can_go_out %}disabled{% endif %}><img alt="" src="{{ asset('build/images/icons/small_move.gif') }}" />{% trans from 'game' %}Stadt verlassen{% endtrans %}</button>
            <button x-ajax-href="{{ path('town_planner') }}"><img alt="" src="{{ asset('build/images/item/item_bagxl.gif') }}" />{{ 'Route planen...'|trans({},'game') }}</button>
        </div>
        <div class="padded cell rw-6 rw-md-12">
            {% embed "ajax/game/map.html.twig" with {'default_zoom': 0, 'default_show_zone': false, 'allow_zone_view': false, 'in_town': true, 'chaos': chaos, 'is_shaman': is_shaman, 'map': map_data} %}
            {% endembed %}
        </div>
    </div>

    <p class="ambiant">
    {{'Das Stadttor ist Teil einer Festungsmauer, die den Großteil der Zombies abwehrt. Solltest du vergessen es am Abend zu schließen, kannst du dich auf Qualen einstellen, die deine schlimmsten Alpträume weit übertreffen.'|trans({}, 'game')}}
    </p>

    <div class="row">
        <h5>{{ 'Stadttor-Register'|trans({},'game') }}</h5>
        <div class="cell rw-12">
            {% embed "ajax/game/log.html.twig" with {'log_content': log, 'log_source': path('town_door_log_controller') } %}
            {% endembed %}
        </div>
    </div>
{% endblock %}
{% block js %}
    {{ parent() }}
    <script>
        {% embed "scripts/map.js.twig" with {'map': map_data} %}{% endembed %};
        {% embed "scripts/log.js.twig" %}{% endembed %}

        const handleDoor = function(element, action) {
            if (!element) return;
            element.addEventListener('click', function() {
                if (!confirm('{{ 'Bestätigen?'|trans({},'global')|e('js') }}'))
                    return;
                $.ajax.easySend( '{{ path('town_door_control_controller') }}', {
                        action: action
                    },
                    function () {
                        $.ajax.load(null, '{{ path('town_door') }}', true);
                    } );
            });
        };

        handleDoor( document.getElementById('door_opener'), 'open' );
        handleDoor( document.getElementById('door_closer'), 'close' );

        document.getElementById('door_exit').addEventListener('click', function() {
            $.ajax.easySend( '{{ path('town_door_exit_controller') }}', {},
                function () {
                    $.ajax.load(null, '{{ path('game_landing') }}', true);
                } );
        });

        {% if show_ventilation and allow_ventilation %}
            document.getElementById('door_exit_hero').addEventListener('click', function() {
                $.ajax.easySend( '{{ path('town_door_exit_controller', {'special': 'hero'}) }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('game_landing') }}', true);
                    } );
            });
        {% endif %}

        {% if show_sneaky %}
            document.getElementById('door_exit_sneak').addEventListener('click', function() {
                $.ajax.easySend( '{{ path('town_door_exit_controller', {'special': 'sneak'}) }}', {},
                    function () {
                        $.ajax.load(null, '{{ path('game_landing') }}', true);
                    } );
            });
        {% endif %}
    </script>
{% endblock %}
